> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters/people-parameters.md).

# People Parameters

You can define a list of people to pre-fill. Supported values for the type of relationship are:

* `primary`
* `spouse`
* `dependent`

Note:there can be many dependents. Add more using a zero-index eg. `people[dependent][0][age]`

Below you can see examples of how to structure `age` and `tobacco` for primary, spouse, and dependents

***Primary applicant***

* people\[primary]\[age]
* people\[primary]\[tobacco]
* people\[primary]\[...]

***Spouse***

* people\[spouse]\[age]
* people\[spouse]\[tobacco]
* people\[spouse]\[...]

***Dependents***

* people\[dependent]\[0]\[age]
* people\[dependent]\[0]\[tobacco]
* people\[dependent]\[0]\[...]
* people\[dependent]\[1]\[age]
* people\[dependent]\[1]\[tobacco]
* people\[dependent]\[1]\[...]

It is also valid to use people\[dependents]\[0], but people\[dependent] is the preferred method.

| Parameter                        | Description                                                                                                                                   |
| -------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| age                              | the age of the person                                                                                                                         |
| tobacco                          | `true` if they smoke, `false` if not                                                                                                          |
| gender                           | `male` or `female`                                                                                                                            |
| offered\_ichra                   | `true` if offered ichra, `false` if not                                                                                                       |
| offered\_cafeteria               | `true` if offered a cafeteria plan, `false` if not                                                                                            |
| employee\_ichra\_amount          | an integer, the monthly amount of ichra given to the employee                                                                                 |
| family\_ichra\_amount            | an integer, the monthly amount of ichra given to the family                                                                                   |
| pregnant                         | `true` if applicant is pregnant, `false` if not                                                                                               |
| parent\_caretaker                | `true` if applicant is parent of child under 19, `false` if not                                                                               |
| has\_coverage                    | `true` if applicant is eligible for coverage through Medicare, Medicaid, or CHIP or a job that’s offering affordable coverage, `false` if not |
| rejected\_by\_medicaid\_or\_chip | `true` if applicant is rejected by medicaid or CHIP, `false` if not                                                                           |
| unemployment                     | `true` if applicant has gotten or is approved to get unemployment income in the current year, `false` if not                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters/people-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
